# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /home/runner/work/distributions/distributions/plugin/ci/recipe, last modified Thu Sep 19 16:08:42 2024
# ------------------------------------------------

package:
  name: q2-longitudinal
  version: 2024.10.0.dev0+1.g207dda1
source:
  path: /home/runner/work/distributions/distributions/plugin
build:
  script: make install
  string: py310h4c86f07_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - ca-certificates 2024.8.30 hbcca054_0
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libffi 3.4.2 h7f98852_5
    - libgcc 14.1.0 h77fa898_1
    - libgcc-ng 14.1.0 h69a702a_1
    - libgomp 14.1.0 h77fa898_1
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.46.1 hadc24fc_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 h4ab18f5_1
    - ncurses 6.5 he02047a_1
    - openssl 3.3.2 hb9d3cd8_0
    - pip 24.2 pyh8b19718_1
    - python 3.10.14 hd12c33a_0_cpython
    - readline 8.2 h8228510_1
    - setuptools 74.1.2 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2024a h8827d51_1
    - wheel 0.44.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - matplotlib 3.8.4.*
    - numpy 1.26.4.*
    - pandas 2.2.2.*
    - patsy 0.5.6.*
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
    - q2-feature-table 2024.10.*
    - q2-sample-classifier 2024.10.*
    - q2-types 2024.10.*
    - q2templates 2024.10.*
    - qiime2 2024.10.*
    - scikit-bio 0.6.0.*
    - scipy 1.13.0.*
    - seaborn 0.12.2.*
    - statsmodels >=0.9.0
test:
  commands:
    - py.test --pyargs q2_longitudinal
  imports:
    - q2_longitudinal
    - qiime2.plugins.longitudinal
  requires:
    - pytest
    - q2-feature-table >=2024.10.0.dev0+2.ga4d0e2e
    - q2-sample-classifier >=2024.10.0.dev0
    - q2-types >=2024.10.0.dev0+21.g0982c4a
    - q2templates >=2024.10.0.dev0
    - qiime2 >=2024.10.0.dev0+14.gd0ed13e
    - selenium
about:
  home: https://qiime2.org
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
